#include <termios.h>
#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/signal.h>
#include <sys/types.h>
#include <string.h>

static unsigned short flag;

int main()
{
    int fd,i;
    int key;
    char buffer1[] = "write";
    char buffer2[256];

    fd = open("/dev/ROBOBLOCK", O_RDWR );

    if (fd <0) {
		perror("/dev/ROBOBLOCK"); 
		exit(-1); 
	} else 
	    printf("applcation : ROBOBLOCK detected \n");

    while((key = main_menu()) != 0) {
			switch(key){
			   case '1':	
					printf("applcation : No.1\n");
					ioctl(fd, 1, flag);
					break;
		   case '2':
				printf("applcation : No.2\n");
				ioctl(fd, 2, flag);
				break;
		   case '3':
				printf("applcation : No.3\n");
				ioctl(fd, 3, flag);
				break;
		   case '4':
				printf("applcation : No.4\n");
				ioctl(fd, 4, flag);
				break;
		   case '5':
				printf("applcation : No.5\n");
				ioctl(fd, 5, flag);
				break;
		   case '6':
				printf("applcation : No.6\n");
				ioctl(fd, 6, flag);
				break;
		   case '7':
				printf("applcation : No.7\n");
				ioctl(fd, 7, flag);
				break;
		   case '8':
				printf("applcation : No.8\n");
				ioctl(fd, 8, flag);
				break;
		   case '9':
				printf("applcation : No.9\n");
				ioctl(fd, 9, flag);
				break;
		   case 'o':
				printf("applcation : open\n");
				fd = open("/dev/ROBOBLOCK", O_RDWR );
				break;
		   case 'c':
				printf("applcation : close\n");
				close(fd);
				break;
		   case 'w':
				printf("applcation : write\n");
				write(fd, buffer1, 7);
				break;
		   case 'r':
				printf("applcation : read\n");
				read(fd, buffer2, 5);
				printf("applcation : read data is >> %s \n",buffer2);
				break;
		   case 'q':
				printf("applcation : exit\n");
				exit();
				break;
		 
			}
        }

        return 0;
  }


int main_menu(void)
{
        int key;
        char input[2];
        printf("\n\n");
        printf("********** main menu ***********\n");
        printf("* 1.  ROBOBLOCK IOCTL 1         *\n");
        printf("* 2.  ROBOBLOCK IOCTL 2         *\n");
        printf("* 3.  ROBOBLOCK IOCTL 3         *\n");
        printf("* 4.  ROBOBLOCK IOCTL 4         *\n");
        printf("* 5.  ROBOBLOCK IOCTL 5         *\n");
        printf("* 6.  ROBOBLOCK IOCTL 6         *\n");
        printf("* 7.  ROBOBLOCK IOCTL 7         *\n");
        printf("* 8.  ROBOBLOCK IOCTL 8         *\n");
        printf("* 9.  ROBOBLOCK IOCTL 9         *\n");
        printf("* o.  ROBOBLOCK OPEN            *\n");
        printf("* c.  ROBOBLOCK CLOSE           *\n");
        printf("* w.  ROBOBLOCK WRITE           *\n");
        printf("* r.  ROBOBLOCK READ            *\n");
		printf("*                              *\n");
        printf("* q.  ROBOBLOCK QUIT            *\n");
        printf("********************************\n");
        printf("\n\n");

	printf("select the command number : ");
	key = getchar();
	getchar();
	printf("\n\n");

        return key;
}
